2

I'm trying to migrate a D7 site to D8 following this tut: http://www.metaltoad.com/blog/migrating-taxonomy-drupal-7-to-drupal-8

When I run

drush migrate-manifest manifest.yml --legacy-db-url=mysql://{dbuser}:{dbpass}@localhost/{dbname}

I get the error:

The drush command 'migrate-manifest' could not be found.

I'm using drush version 8.0-dev. Installed via composer. I also tried version 7.* and got the same message plus "Drush 7.0.0 does not support Drupal 8." What gives?

3

Now this has been moved to Migrate Manifest module. You can enable this module and use drush migrate-manifest command.

2

Seems the Drush command was moved to the migrate_tools module - which is part of migrate_plus (can be downloaded from https://www.drupal.org/project/migrate_plus). Use Drush master branch (suitable for Drupal 8) and download migrate_tools the module and you will be able to call the migrate-manifest command.

  • 'drush dl migrate_tools' gives me "No release history was found for the requested project (migrate_tools). Could not download requested project(s)." I'm using drush 8.0-dev installed via composer using dev-master. Google is not turning up anything for a migrate_tools module either. – Rooster242 Aug 26 '15 at 15:38
  • My bad, forgot it's part of migrate_plus. Updated the answer. – itarato Aug 26 '15 at 15:40
  • Thanks itarato. Here's what got it working for me: drush dl migrate_plus drush en migrate_tools -y In addition it seems if you are on beta-14 like I am you need a patch to eliminate the error "Error: Class 'Drupal\migrate\Event\MigrateEvents' not found" curl https://www.drupal.org/files/issues/dispatch_events_at_key-2535458-38.patch | git apply – Rooster242 Aug 26 '15 at 17:40

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.